Retrieve a list of ATS locations
Returns a paginated list of all work locations associated with the organization, suitable for use when constructing job postings or filtering by location.
Token scopes: ats:read, worker:read
Deprecated: a newer version of this endpoint is available. This version is scheduled for removal on 2027-09-01.
Beta version available: version 2026-09-01 of this endpoint is in beta. Send X-Beta: true to call it.
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Query parameters
cursor
The cursor for pagination
limit
Maximum number of records returned in one response
include_archived
If true, archived locations are included in the response; they are excluded by default
Response
Successful response with locations data.
data
Page of locations.
has_more
Indicates if there are more locations available
next_cursor
Cursor for pagination to get the next set of results
total_count
Total number of locations available
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error